# Make sure to check the documentation at http://goreleaser.com
version: 2
before:
  hooks:
    - go mod download
builds:
  - binary: sloth
    main: ./cmd/sloth/sloth.go
    env:
      - CGO_ENABLED=1
    goos:
      - linux
    goarch:
      - amd64
checksum:
  name_template: 'checksums.txt'
snapshot:
  version_template: "{{ .Tag }}-next"
changelog:
  sort: asc
  filters:
    exclude:
      - '^docs:'
      - '^test:'
release:
  gitlab:
    owner: unboundsoftware/sloth
    name: core
